dttypes(user cmd)

NAME
dttypes — Generates a list of the DT Action and DataTypes definitions.

SYNOPSIS

dttypes [-help] [dttypes] [-type filename] [dttypes] [-db database] [-w | rec_name regexp | fld_name regexp | fld_value regexp ] [-l | rec_name | rec_info | fld_name regexp | fld_value ]

DESCRIPTION

Dttypes is a client that lists the Action and DataTypes definitions. This is useful in understanding where DT is getting the information for its databases and how it is using that information to construct the databases. By default it prints out the entire set of databases.

OPTIONS

The optional command_list is composed of one or more of the following:

-help
    prints out the usage message.

-type filename
    where filename is the name of a file to be typed.

-db database
    where database uses all the DataBases whose name matches the regular expression database. Currently: DATA_CRITERIA, DATA_ATTRIBUTES or ACTION.

-w search_list
    where search_list consists of one or more of the following:

    0.  rec_name reg_exp - finds all records whose name matches the regular expression reg_exp.

    1.  fld_name reg_exp - finds all records whose field name matches the regular expression reg_exp.

    2.  fld_value reg_exp - finds all records whose field values matches the regular expression reg_exp.

-l display_list
    where display_list consist of one or more of the following:

    3.  rec_name - displays the name of the records found.

    4.  rec_info - displays the file the record was found in.

    5.  fld_name [reg_exp] - displays the names of the attributes found in that record.

        If a reg_exp is specified then only those fields that match will be displayed.

    6.  fld_value - displays the values of the attributes found in the record.

SEE

DtDtsLoadDataTypes(3), DtDtsDataToDataType(3), DtDtsFileToDataType(3), DtDtsFileToAttributeList(3), DtDtsFileToAttributeValue(3), DtDtsBufferToDataType(3), DtDtsBufferToAttributeList(3), DtDtsBufferToAttributeValue(3), DtDtsDataTypeToAttributeList(3), DtDtsDataTypeToAttributeValue(3), DtDtsFreeDataType(3), DtDtsFreeAttributeList(3), DtDtsFreeAttributeValue(3), DtDtsRelease(3), DtDtsDataTypeNames(3), DtDtsFindAttribute(3), DtDtsFreeDataTypeNames(3), DtDtsSetDataType(3), DtDtsDataTypeIsAction(3), DtActionLabel(3), DtActionDescription(3), DtActionExists(3), DtActionInvoke(3), dtaction(1)